<?php
/**
 * Jet Plugins Wizard configuration.
 *
 * @package Cosmetro
 */
$license = array(
	'enabled' => false,
);

/**
 * Plugins configuration
 *
 * @var array
 */
$plugins = array(
	'jet-data-importer' => array(
		'name'   => esc_html__( 'Jet Data Importer', 'cosmetro' ),
		'source' => 'remote', // 'local', 'remote', 'wordpress' (default).
		'path'   => 'https://github.com/ZemezLab/jet-data-importer/archive/master.zip',
		'access' => 'base',
	),
	'elementor' => array(
		'name'   => esc_html__( 'Elementor', 'cosmetro' ),
		'access' => 'base',
	),
	'jet-blocks' => array(
		'name'   => esc_html__( 'Jet Blocks For Elementor', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-blocks.zip',
		'access' => 'skins',
	),
	'jet-blog' => array(
		'name'   => esc_html__( 'Jet Blog For Elementor', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-blog.zip',
		'access' => 'skins',
	),
	'jet-elements' => array(
		'name'   => esc_html__( 'Jet Elements For Elementor', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-elements.zip',
		'access' => 'skins',
	),	
	'jet-theme-core' => array(
		'name'   => esc_html__( 'Jet Theme Core', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-theme-core.zip',
		'access' => 'skins',
	),
	'jet-tricks' => array(
		'name'   => esc_html__( 'Jet Tricks', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-tricks.zip',
		'access' => 'skins',
	),
	'jet-tabs' => array(
		'name'   => esc_html__( 'Jet Tabs', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-tabs.zip',
		'access' => 'skins',
	),
	'jet-menu' => array(
		'name'   => esc_html__( 'Jet Menu', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-menu.zip',
		'access' => 'skins',
	),
	'revslider' => array(
		'name'   => esc_html__( 'Revolution Slider', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/revslider.zip',
		'access' => 'skins',
	),
	'contact-form-7' => array(
		'name'   => esc_html__( 'Contact Form 7', 'cosmetro' ),
		'access' => 'skins',
	),
	'woocommerce' => array(
		'name'   => esc_html__( 'WooCommerce', 'cosmetro' ),
		'access' => 'skins',
	),
	'jet-compare-wishlist' => array(
		'name'   => esc_html__( 'Jet Compare Wish List', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-compare-wishlist.zip',
		'access' => 'skins',
	),
	'jet-smart-filters' => array(
		'name'   => esc_html__( 'Jet Smart Filters', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-smart-filters.zip',
		'access' => 'skins',
	),
	'jet-woo-builder' => array(
		'name'   => esc_html__( 'Jet Woo Builder', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-woo-builder.zip',
		'access' => 'skins',
	),
	'jet-woo-product-gallery' => array(
		'name'   => esc_html__( 'Jet Woo Product Gallery', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-woo-product-gallery.zip',
		'access' => 'skins',
	),
	'jet-popup' => array(
		'name'   => esc_html__( 'Jet Popup', 'cosmetro' ),
		'source' => 'remote',
		'path'   => 'https://monstroid.zemez.io/download/jet-popup.zip',
		'access' => 'skins',
		),

);

/**
 * Skins configuration
 *
 * @var array
 */
$skins = array(
	'base' => array(
		'jet-data-importer',
		'elementor',

	),
	'advanced' => array(
		'cosmetro' => array(
			'full'  => array(
				'jet-blocks',
				'jet-blog',
				'jet-elements',
				'jet-theme-core',
				'jet-tricks',
				'jet-tabs',
				'jet-menu',
				'revslider',
				'contact-form-7',
				'woocommerce',
				'jet-compare-wishlist',
				'jet-smart-filters',
				'jet-woo-builder',
				'jet-woo-product-gallery',
				'jet-popup',
			),
			'lite'  => false,
			'demo'  => 'https://ld-wp73.template-help.com/tf/demo_cosmetro/cosmetro',
			'thumb' => 'http://monstroid.zemez.io/download/tf/cosmetro/default/default.png',
			'name'  => esc_html__( 'Cosmetro', 'cosmetro' ),
		),
		'perfume' => array(
			'full'  => array(
				'jet-blocks',
				'jet-blog',
				'jet-elements',
				'jet-theme-core',
				'jet-tricks',
				'jet-tabs',
				'jet-menu',
				'revslider',
				'contact-form-7',
				'woocommerce',
				'jet-compare-wishlist',
				'jet-smart-filters',
				'jet-woo-builder',
				'jet-woo-product-gallery',
				'jet-popup',
			),
			'lite'  => false,
			'demo'  => 'https://ld-wp73.template-help.com/tf/demo_cosmetro/perfume',
			'thumb' => 'http://monstroid.zemez.io/download/tf/cosmetro/perfume/perfume.png',
			'name'  => esc_html__( 'Perfume', 'cosmetro' ),
		),
		'jewelry' => array(
			'full'  => array(
				'jet-blocks',
				'jet-blog',
				'jet-elements',
				'jet-theme-core',
				'jet-tricks',
				'jet-tabs',
				'jet-menu',
				'revslider',
				'contact-form-7',
				'woocommerce',
				'jet-compare-wishlist',
				'jet-smart-filters',
				'jet-woo-builder',
				'jet-woo-product-gallery',
				'jet-popup',
			),
			'lite'  => false,
			'demo'  => 'https://ld-wp73.template-help.com/tf/demo_cosmetro/jewelry',
			'thumb' => 'http://monstroid.zemez.io/download/tf/cosmetro/jewelry/jewelry.png',
			'name'  => esc_html__( 'Jewelry', 'cosmetro' ),
		),
		'lingerie' => array(
			'full'  => array(
				'jet-blocks',
				'jet-blog',
				'jet-elements',
				'jet-theme-core',
				'jet-tricks',
				'jet-tabs',
				'jet-menu',
				'revslider',
				'contact-form-7',
				'woocommerce',
				'jet-compare-wishlist',
				'jet-smart-filters',
				'jet-woo-builder',
				'jet-woo-product-gallery',
				'jet-popup',
			),
			'lite'  => false,
			'demo'  => 'https://ld-wp73.template-help.com/tf/demo_cosmetro/lingerie',
			'thumb' => 'http://monstroid.zemez.io/download/tf/cosmetro/lingerie/lingerie.png',
			'name'  => esc_html__( 'Lingerie', 'cosmetro' ),
		),
		'clothing' => array(
			'full'  => array(
				'jet-blocks',
				'jet-blog',
				'jet-elements',
				'jet-theme-core',
				'jet-tricks',
				'jet-tabs',
				'jet-menu',
				'revslider',
				'contact-form-7',
				'woocommerce',
				'jet-compare-wishlist',
				'jet-smart-filters',
				'jet-woo-builder',
				'jet-woo-product-gallery',
				'jet-popup',
			),
			'lite'  => false,
			'demo'  => 'https://ld-wp73.template-help.com/tf/demo_cosmetro/clothing',
			'thumb' => 'http://monstroid.zemez.io/download/tf/cosmetro/clothing/clothing.png',
			'name'  => esc_html__( 'Clothing', 'cosmetro' ),
		),
		'accessories' => array(
			'full'  => array(
				'jet-blocks',
				'jet-blog',
				'jet-elements',
				'jet-theme-core',
				'jet-tricks',
				'jet-tabs',
				'jet-menu',
				'revslider',
				'contact-form-7',
				'woocommerce',
				'jet-compare-wishlist',
				'jet-smart-filters',
				'jet-woo-builder',
				'jet-woo-product-gallery',
				'jet-popup',
			),
			'lite'  => false,
			'demo'  => 'https://ld-wp73.template-help.com/tf/demo_cosmetro/accessories',
			'thumb' => 'http://monstroid.zemez.io/download/tf/cosmetro/accessories/accessories.png',
			'name'  => esc_html__( 'Accessories', 'cosmetro' ),
		),					
		'tattoo' => array(
			'full'  => array(
				'contact-form-7',
				'jet-blocks',
				'jet-elements',
				'jet-menu',
				'jet-popup',
				'jet-woo-product-gallery',
				'jet-smart-filters',
				'jet-theme-core',
				'jet-woo-builder',
				'woocommerce',
			),
			'lite'  => false,
			'demo'  => 'https://ld-wp73.template-help.com/tf/demo_cosmetro/tattoo/',
			'thumb' => 'http://monstroid.zemez.io/download/tf/cosmetro/tattoo/tattoo.png',
			'name'  => esc_html__( 'Tattoo', 'cosmetro' ),
		),					
	),
);

$texts = array(
	'theme-name' => esc_html__( 'Cosmetro', 'cosmetro' ),
);

$config = array(
	'license' => $license,
	'plugins' => $plugins,
	'skins'   => $skins,
	'texts'   => $texts,
);
