<?php
/**
 * Sidebars configuration.
 *
 * @package Cosmetro
 */

add_action( 'after_setup_theme', 'cosmetro_register_sidebars', 5 );
function cosmetro_register_sidebars() {

	cosmetro_widget_area()->widgets_settings = apply_filters( 'cosmetro-theme/widget_area/default_settings', array(
		'sidebar' => array(
			'name'           => esc_html__( 'Sidebar', 'cosmetro' ),
			'description'    => esc_html__( 'List of widgets to display on blog post pages', 'cosmetro' ),
			'before_widget'  => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'   => '</aside>',
			'before_title'   => '<h4 class="widget-title h6-style">',
			'after_title'    => '</h4>',
			'before_wrapper' => '<div id="%1$s" %2$s role="complementary">',
			'after_wrapper'  => '</div>',
			'is_global'      => true,
		),
		'sidebar-shop' => array(
			'name'           => esc_html__( 'Shop Sidebar', 'cosmetro' ),
			'description'    => esc_html__( 'List of widgets to display on Shop pages', 'cosmetro' ),
			'before_widget'  => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'   => '</aside>',
			'before_title'   => '<h3 class="widget-title h6-style">',
			'after_title'    => '</h3>',
			'before_wrapper' => '<div id="%1$s" %2$s role="complementary">',
			'after_wrapper'  => '</div>',
			'is_global'      => true,
		)
	) );
}
