<?php
/**
 * Template part for displaying default posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package cosmetro
 */

$sidebar 			= cosmetro_theme()->customizer->get_value( 'blog_sidebar_position' );
$categories_visible = cosmetro_theme()->customizer->get_value( 'blog_post_categories' );
$columns 			= cosmetro_theme()->customizer->get_value( 'blog_layout_columns' );

$thumbnail 		= 'cosmetro-thumb-listing';
if( ( 'none' == $sidebar ) && ( '2-cols' == $columns ) ) {
	$thumbnail 		= 'cosmetro-thumb-grid-2col';
} elseif( 'none' != $sidebar ) {
	$thumbnail 		= 'cosmetro-thumb-grid-2col-sidebar';
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'posts-list__item grid-item' ); ?>>
	
	<?php cosmetro_post_thumbnail( $thumbnail ); ?>
	
	<div class="posts-list__item-content">
		<header class="entry-header">
			<?php cosmetro_sticky_label(); ?>
			<div class="entry-meta"><?php
				cosmetro_posted_in( array(
					'visible' 	=> $categories_visible,
					'delimiter' => ', ',
				) );
			?></div><!-- .entry-meta -->
			<h3 class="entry-title h4-style"><?php 
				the_title( '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' );
			?></h3>
		</header><!-- .entry-header -->

		<?php cosmetro_post_excerpt(); ?>

		<div class="entry-meta"><?php
			cosmetro_posted_by();
			cosmetro_posted_on();
			cosmetro_post_comments();
			cosmetro_post_tags();
		?></div><!-- .entry-meta -->

		<footer class="entry-footer">
			<div class="entry-footer-container">
				<div class="post__button-wrap"><?php
					cosmetro_post_link();
				?></div>
			</div>
		</footer><!-- .entry-footer -->
	</div><!-- .posts-list__item-content -->
</article><!-- #post-<?php the_ID(); ?> -->
