<?php
/**
 * Template part for displaying default posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Cosmetro
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-default'); ?>>

	<header class="entry-header">
		<h3 class="entry-title"><?php 
			cosmetro_sticky_label();
			the_title( '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a>' );
		?></h3>
		<div class="entry-meta">
			<?php
				cosmetro_posted_by();
				cosmetro_posted_in( array(
					'prefix' => __( 'In', 'cosmetro' ),
				) );
				cosmetro_posted_on( array(
					'prefix' => __( 'Posted', 'cosmetro' )
				) );
			?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<?php cosmetro_post_thumbnail( 'cosmetro-thumb-l' ); ?>

	<?php cosmetro_post_excerpt(); ?>

	<footer class="entry-footer">
		<div class="entry-meta">
			<?php
				cosmetro_post_tags( array(
					'prefix' => __( 'Tags:', 'cosmetro' )
				) );
			?>
			<div><?php
				cosmetro_post_comments( array(
					'prefix' => '<i class="fa fa-comment" aria-hidden="true"></i>',
					'class'  => 'comments-button'
				) );
				cosmetro_post_link();
			?></div>
		</div>
		<?php cosmetro_edit_link(); ?>
	</footer><!-- .entry-footer -->
	
</article><!-- #post-<?php the_ID(); ?> -->
