<?php
/**
 * The template for displaying author bio.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Cosmetro
 * @subpackage widgets
 */

$is_enabled = cosmetro_theme()->customizer->get_value( 'post_authorbio_block' );

if ( ! $is_enabled ) {
	return;
}

?>

<div class="post-author-bio">
	<div class="post-author__holder">
		<div class="post-author__avatar"><?php
			cosmetro_get_post_author_avatar();
		?></div>
		<div class="post-author__content">
			<p class="post-author__role"><?php
				echo esc_html__( 'About', 'cosmetro' ) . ' ';
				cosmetro_get_author_role_name();
			?></p>
			<h4 class="post-author__title"><?php
				cosmetro_get_post_author();
			?></h4>
			<div class="post-author__description"><?php
				cosmetro_get_author_meta();
			?></div>
		</div>
	</div>
</div>